Switch to singlethread workqueues throughout.

Signed-off-by: Alasdair G Kergon <agk@redhat.com>

---
 drivers/md/dm-crypt.c |    2 +-
 drivers/md/dm-delay.c |    2 +-
 drivers/md/dm-mpath.c |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

Index: linux/drivers/md/dm-crypt.c
===================================================================
--- linux.orig/drivers/md/dm-crypt.c	2007-07-11 14:46:46.000000000 +0100
+++ linux/drivers/md/dm-crypt.c	2007-07-11 14:46:47.000000000 +0100
@@ -1063,7 +1063,7 @@ static int __init dm_crypt_init(void)
 	if (!_crypt_io_pool)
 		return -ENOMEM;
 
-	_kcryptd_workqueue = create_workqueue("kcryptd");
+	_kcryptd_workqueue = create_singlethread_workqueue("kcryptd");
 	if (!_kcryptd_workqueue) {
 		r = -ENOMEM;
 		DMERR("couldn't create kcryptd");
Index: linux/drivers/md/dm-delay.c
===================================================================
--- linux.orig/drivers/md/dm-delay.c	2007-07-11 14:46:46.000000000 +0100
+++ linux/drivers/md/dm-delay.c	2007-07-11 14:46:47.000000000 +0100
@@ -330,7 +330,7 @@ static int __init dm_delay_init(void)
 {
 	int r = -ENOMEM;
 
-	kdelayd_wq = create_workqueue("kdelayd");
+	kdelayd_wq = create_singlethread_workqueue("kdelayd");
 	if (!kdelayd_wq) {
 		DMERR("Couldn't start kdelayd");
 		goto bad_queue;
Index: linux/drivers/md/dm-mpath.c
===================================================================
--- linux.orig/drivers/md/dm-mpath.c	2007-07-11 14:46:46.000000000 +0100
+++ linux/drivers/md/dm-mpath.c	2007-07-11 14:46:47.000000000 +0100
@@ -1361,7 +1361,7 @@ static int __init dm_multipath_init(void
 		return -EINVAL;
 	}
 
-	kmultipathd = create_workqueue("kmpathd");
+	kmultipathd = create_singlethread_workqueue("kmpathd");
 	if (!kmultipathd) {
 		DMERR("failed to create workqueue kmpathd");
 		dm_unregister_target(&multipath_target);
